Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# parastretch.h File Reference

`#include "SDL.h"`

Include dependency graph for parastretch.h:

Go to the source code of this file.

## Defines
#define | sign(x) ((x)>0 ? 1:-1)
#define | M_PI 3.14159265358979323846
## Functions
void | CreateFilterLUT ()
void | RectStretch (SDL_Surface* src_surface, int xs1, int ys1, int xs2, int ys2, SDL_Surface* dst_surface, int xd1, int yd1, int xd2, int yd2, Uint32* voiLUT)
SDL_Surface* | SDLCopyRect (SDL_Surface* s, int x, int y, int w, int h)
void | SDLSmoothFast (SDL_Surface* src, SDL_Surface* dst)
void | InterpolatePixel (SDL_Surface* src, SDL_Surface* dest)
void | SDL_FillRectEx (SDL_Surface *dst, Uint16 x0, Uint16 y0, Uint16 x1, Uint16 y1, Uint32 color)

## Define Documentation

#define M_PI 3.14159265358979323846

| Definition at line 46 of file parastretch.h.

#define sign( | x ) ((x)>0 ? 1:-1)

| Definition at line 34 of file parastretch.h.

## Function Documentation

void CreateFilterLUT ( | )

void InterpolatePixel ( | SDL_Surface * src,
| SDL_Surface * dest )

void RectStretch ( | SDL_Surface * src_surface,
| int xs1,
| int ys1,
| int xs2,
| int ys2,
| SDL_Surface * dst_surface,
| int xd1,
| int yd1,
| int xd2,
| int yd2,
| Uint32 * voiLUT )

SDL_Surface* SDLCopyRect ( | SDL_Surface * s,
| int x,
| int y,
| int w,
| int h )

void SDLSmoothFast ( | SDL_Surface * src,
| SDL_Surface * dst )

void SDL_FillRectEx ( | SDL_Surface * dst,
| Uint16 x0,
| Uint16 y0,
| Uint16 x1,
| Uint16 y1,
| Uint32 color )